% this program computes the performance of mean parameter estimatior B

function Perf = PerformGLRR(Y, Yh, SigX, r, Bh, B)
%%
if nargin < 6
    	Bflag=0;
    else
    	Bflag=1;    
end
   [p, d] = size(Bh);
   n = size(Y,1);
   SSe = trace((Y-Yh)'*(Y-Yh));
   if Bflag==1
   	   MENB = 100*trace((B-Bh)'*SigX*(B-Bh))/trace((B)'*SigX*(B));
   else 
   	   MENB = NaN;
   	   end
   	   Yh = Yh - ones(n,1)*mean(Yh);
   Y = Y - ones(n,1)*mean(Y);
   Rsq1 = 100*trace((Yh)'*(Yh))/trace((Y)'*(Y)); % R square
   PEN = 100*SSe/trace((Y)'*(Y));
   df = r*(p+d);
   AIC = log(SSe) + 2*df/(n*d);
   BIC = log(SSe) + df*log(n*d)/(n*d);
   
   Perf = [MENB PEN Rsq1 AIC BIC];
%%
end
